> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# specifiedmailings

> Create a list of mailings (flow, form, regular mailing/shipment...), hierarchy optional

## "specifiedmailings" MDO List

Create a list of mailings (flow, form, regular mailing/shipment...), hierarchy optional

Implemented by the <see cref="T:SuperOffice.CRM.Lists.SpecifiedMailingsListProvider">SpecifiedMailingsListProvider</see> class.
The name of the MDO list is 'specifiedmailings'.

## Additional Attributes

| Description                                                                                                                      | Name           | Example Value |
| -------------------------------------------------------------------------------------------------------------------------------- | -------------- | ------------- |
| Only mailings with tracked links                                                                                                 | tracked        | true          |
| Specified shipment configurations, default is the most relevant configurations                                                   | configurations |               |
| If specified, content related to the specified email flow will appear in a special folder near the top, just below history items | emailFlowId    |               |

Separator: &

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/specifiedmailings
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("specifiedmailings", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "specifiedmailingsheadings"
* "specifiedmailingsheadingswithallitem"
* "specifiedmailingsheadingswithallitemwithnoselection"
* "specifiedmailingsheadingswithnoselection"
* "specifiedmailingswithallitem"
* "specifiedmailingswithallitemwithnoselection"
* "specifiedmailingswithnoselection"


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
